# Created by pyp2rpm-3.3.5
%global pypi_name contourpy

Name:           python-%{pypi_name}
Version:        1.0.6
Release:        %mkrel 1
Summary:        Python library for calculating contours of 2D quadrilateral grids
Group:          Development/Python
License:        BSD-3-Clause
URL:            https://github.com/contourpy/contourpy
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)

BuildRequires:  python3-devel
BuildRequires:  python3dist(docutils)
BuildRequires:  python3dist(flake8)
BuildRequires:  python3dist(isort)
BuildRequires:  python3dist(matplotlib)
BuildRequires:  python3dist(numpy) 
BuildRequires:  python3dist(pybind11)
BuildRequires:  python3dist(pillow)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(selenium)

%description
ContourPy is a Python library for
calculating contours of 2D quadrilateral grids. It is written in C++11 and
wrapped using pybind11.
It contains the 2005 and 2014 algorithms used in
Matplotlib as well as a newer algorithm that includes more features and is
available in both serial and multithreaded versions.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
ContourPy is a Python library for
calculating contours of 2D quadrilateral grids. It is written in C++11 and
wrapped using pybind11.
It contains the 2005 and 2014 algorithms used in
Matplotlib as well as a newer algorithm that includes more features and is
available in both serial and multithreaded versions.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel
%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%check
%pytest -k "not test_isort"

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md



%changelog
* Sat Dec 03 2022 papoteur <papoteur> 1.0.6-1.mga9
+ Revision: 1916209
- imported for arviz
- imported package python-contourpy

